Bug 164759 - No GUI to configure the anti-aliasing vector graphics
Summary: No GUI to configure the anti-aliasing vector graphics
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist with 11 votes (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2008-06-23 15:48 UTC by Hugh Pumphrey
Modified: 2012-12-31 11:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments
Plot that looks worse with anti-aliasing on (319.55 KB, application/pdf)
2008-06-23 15:59 UTC, Hugh Pumphrey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hugh Pumphrey 2008-06-23 15:48:50 UTC
Version:            (using KDE 3.5.9)
Installed from:    Debian testing/unstable Packages
Compiler:           Whatever Debian Testing does
OS:                Linux

In response to Bug 94231, anti-aliasing of vector graphics was turned on for kpdf some time between  kpdf 0.5.5 (using KDE 3.5.5) (as in Debian stable) and  kpdf 0.5.9 (KDE 3.5.9) (as in Debian Testing). Some users seem delighted with this. But not all figures are improved --- lots of filled contour plots get a horrible tartan effect when viewed with anti-aliasing turned on. This is not specific to kpdf, it happens with other PDF and PostScript viewers. 

At present there does not seem to be a way to disable anti-aliasing of vector graphics in kpdf. It would be a great improvement (to me at least) if it could be added as a configuration option. (In xpdf, one uses the command line option "-aaVector no" but for kpdf it would presumably appear in the Settings->Configure kpdf menu.)
Comment 1 Hugh Pumphrey 2008-06-23 15:59:21 UTC
Created attachment 25542 [details]
Plot that looks worse with anti-aliasing on

This figure shows the effect I am talking about. If viewed with anti-aliasing,
there is a network of vertical and horizontal lines which are paler than the
rest of the plot. If anti-aliasing of graphics is disabled it looks OK. With
xpdf, you can turn anti-aliasing on like this:

xpdf -aaVector yes myzm_O3_a.pdf

and off like this

xpdf -aaVector no myzm_O3_a.pdf

With Adobe Reader, you can use Edit->Preferences->Page Display and toggle
anti-aliasing with the "Smooth line art" check box. My wishlist request is to
be able to do the same in kpdf.
Comment 2 Albert Astals Cid 2008-06-23 16:17:38 UTC
Moving to okular, we are not working anymore on kpdf, as okular is its successor for KDE 4
Comment 3 Hugh Pumphrey 2008-06-23 16:33:37 UTC
OK, so it looks unlikely that my wish will be granted for kpdf. Will okular allow control over whether vector graphics get anti-aliased? 
Comment 4 Pino Toscano 2008-06-23 16:43:24 UTC
It already does, just a gui control is missing. For example:
$ kwriteconfig --file okularpartrc --group 'Dlg Performance' --key GraphicsAntialias Disabled
to disable the AA for graphics only. Use TextAntialias to change the AA for text only, and Enabled or Disabled to toggle any of them.
Comment 5 Pino Toscano 2008-11-12 01:44:43 UTC
In light of comment #4, give a better title to this report.
(Still no solution, sorry.)
Comment 6 Albert Astals Cid 2012-12-31 11:16:04 UTC
Git commit 1d914e6bf547d173851582cba53c5372d960b6ff by Albert Astals Cid, on behalf of Jaydeep Solanki.
Committed on 31/12/2012 at 12:15.
Pushed by aacid into branch 'master'.

GUI to configure the Text/Graphics Anti-alias and Text hinting
REVIEW: 106660
GUI:

M  +31   -1    conf/dlgperformancebase.ui
M  +3    -3    conf/okular_core.kcfg

http://commits.kde.org/okular/1d914e6bf547d173851582cba53c5372d960b6ff